This python does not work for me

# Carga las bibliotecas de DesignScript y normas de Python.
import sys
import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

# Las entradas de este nodo se almacenan como lista en las variables IN.
listaoriginal = In[0]

# Incluya el cigo debajo de esta línea
listanueva[]
total = 0
for elemento in listaoriginal
	total+=elemento
	listanueva[].append(total)

# Asigne la salida a la variable OUT.
OUT = listanueva

@jesusricarte ,

mira, se hablan ingles por aca :wink:

so whats your aim ? whats your intention…

#Carga las bibliotecas de DesignScript y normas de Python.
import sys
import clr
clr.AddReference("ProtoGeometry")
from Autodesk.DesignScript.Geometry import *

#Las entradas de este nodo se almacenan como lista en las variables IN.
listaoriginal = IN[0]

#Incluya el cigo debajo de esta línea
listanueva = []
total = 0

for elemento in listaoriginal:
	total += elemento
	listanueva.append(total)

#Asigne la salida a la variable OUT.
OUT = listanueva

that would be a way that your code works…


KR
Andreas

1 Like

@jesusricarte if you don’t intend to use this as @Draxl_Andreas showed, we need you to describe what the intent is.

Note that the official forum language is English, so please translate all titles and descriptions using a web service of your choice, posting your native language as well if desired. Sadly a single language (English int his case) is a requirement to make search work on the forum - otherwise I’d use my replies to practice my Swedish. :slight_smile:

1 Like